## arts-trinity 3.5.13.2

=== debian/changelog ===
arts-trinity (4:3.5.13.2-0ubuntu12.04.0+1) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Jul 2013 03:31:13 +0200

arts-trinity (1.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Fixed conflicts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 29 Nov 2008 13:20:00 -0600

arts-trinity (1.5.10-0ubuntu2~intrepid3) intrepid; urgency=low

  * Altered prefix for Trinity.5

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 20 Nov 2008 17:48:45 -0600

arts (1.5.10-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.0.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 21 Aug 2008 16:04:08 +0200

arts (1.5.9-2ubuntu3) intrepid; urgency=low

  * Add kubuntu_01_fix_build.diff from Steve Langasek, fixes build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jul 2008 19:11:03 +0100

arts (1.5.9-2ubuntu2) intrepid; urgency=low

  * Change libarts1-akode from recommends to suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jul 2008 16:32:27 +0100

arts (1.5.9-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - No jack build-dep
    - No libmad build-dep
    - libarts1-dev not depend on jack or libmad
  * debian/control: Remove oss-compat dependency from libarts1c2a as it is in
    universe.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Tue, 03 Jun 2008 11:49:39 +1000

arts (1.5.9-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:
 
  * Bump shlibs to 1.5.9.
  * Conflict with automake-dirty kdelibs4c2a (Closes: #473375).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 30 Mar 2008 14:23:49 +0300

arts (1.5.9-1lenny1) testing-proposed-updates; urgency=low

  * Disable 01_admin_cleanup.diff and 97_automake_cleanup.diff patches
  * Rebuild 98_buildprep.diff
  * Going to t-p-u to fix breakage in testing as kdelibs is not going into
    testing anytime soon.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Mar 2008 13:30:01 +0200

arts (1.5.9-1) unstable; urgency=low

  * New upstream release:
    - Update to build with GCC 4.3 (Closes: #454821)
  * Add Vcs-Browser and Vcs-Svn fields.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version 3.7.3:
    - Replace Source-Version for proper variables.
  * Some updates in the copyright file.

  +++ Changes by Fathi Boudra:

  * Add oss-compat dependency to libarts1c2a. (Closes: #386582)
  * Add artsdsp manpage. (Closes: #405159)
  * Add patches:
    - 12_cleanup_artsc-config. (Closes: #375803)
      Remove spurious dependencies in the output of artsc-config.
    - 13_check_tmp_dir. (Closes: #415154)
      Create tmp_dir if non existent.
    - 14_remove_config.h_headers. (Closes: #428987)
      Do not include config.h in shipped header files.
    - 15_no_warning. Merged from Ubuntu.
      Do not show null device warning.
      kmix makes it obvious if sound isn't working.
  
  +++ Changes by Modestas Vainius:
  
  * Add automake cleanup patches: 01_admin_cleanup.diff and
    97_automake_cleanup.diff
  * Disable -Wl,--as-needed for the moment.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Feb 2008 21:12:44 +0200

arts (1.5.9-0ubuntu2) hardy; urgency=low

  * Patch to fix the issue reported in RedHat bugzilla bug #169631 to create
    a temp dir if it doesn't exist. (LP: #55973)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 12 Mar 2008 21:11:56 +1100

arts (1.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:26:34 +0000

arts (1.5.8-1ubuntu2) hardy; urgency=low

  * Fix build errors with g++-4.3, dropped with upload of the new
    upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:44:31 +0000

arts (1.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - No jack build-dep
   - No libmad build-dep
   - kubuntu_01_no_warning.diff
   - libarts1-dev not depend on jack or libmad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Nov 2007 03:22:30 +0000

arts (1.5.8-1) unstable; urgency=low

  * New upstream release:
    - Remove patch: 12_qtmcop_notifications_on_demand, merged upstream.
  * Implement use of uploaders.mk

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Oct 2007 20:56:17 +0200

arts (1.5.7-2) unstable; urgency=low

  +++ Fathi Boudra:

  * Apply patch from Matthias Kretz to reduce power usage.
  * Add myself to uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 May 2007 14:27:42 +0200

arts (1.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 09 Oct 2007 09:35:48 +0100

arts (1.5.7-1ubuntu3) gutsy; urgency=low

  * Fix build errors with g++-4.3. LP: #138556.
  * Work around redefinition of glib macros.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 22:42:06 +0000

arts (1.5.7-1ubuntu2) gutsy; urgency=low

  * kubuntu_01_qtmcop_notifications_on_demand.diff: include patch from
    Matthias Kretz to reduce number of knotify wake-ups (from 20/sec to
    1/sec). Should reduce power usage for idle system.

 -- Luka Renko <lure@ubuntu.com>  Sat, 26 May 2007 22:16:37 +0200

arts (1.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-CHANGES

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 21 May 2007 12:09:06 +1000

arts (1.5.7-1) unstable; urgency=low

  * New upstream release:

