## arts-trinity 3.5.13.3~pre84

=== debian/changelog ===
arts-trinity (4:3.5.13.3~pre84-0debian7.0.0+4) wheezy; urgency=low

  * Automated git build for 63d859949649bbc41dd805b3f06376eb0d96e99a

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 01:30:26 +0200
