## arts-trinity 3.5.13.3~pre85

=== debian/changelog ===
arts-trinity (4:3.5.13.3~pre85-0debian10.0.0+4) buster; urgency=low

  * Automated git build for b19700f15862cd1ebd7fc47ac8b2b8b7a5e59914

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Dec 2021 14:50:41 +0100
