=== debian/rules ===
--- 
+++ 
@@ -10,21 +10,12 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
-include /usr/share/cdbs/1/rules/utils.mk
-include debian/cdbs/debian-qt-kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
-# never build in parallel, regardless of DEB_BUILD_OPTIONS.
-DEB_BUILD_PARALLEL = true
-
 DEB_DH_STRIP_ARGS := --dbg-package=arts-trinity-dbg
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 PACKAGES_WITH_LIBS := libarts1c2a-trinity libartsc0-trinity
 
@@ -41,6 +32,6 @@
 
 binary-predeb/libarts1-trinity-dev::
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-	    echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/libarts1-dev.substvars
+	    echo "libasound2-dev=libasound2-dev" >> debian/libarts1-trinity-dev.substvars
 endif
