=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,21 @@
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
 
-DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
--DCMAKE_BUILD_TYPE=RelWithDebInfo
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
+ -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" \
+ -DLIB_SUFFIX="" \
+ -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
+ -DCONFIG_INSTALL_DIR="/etc/trinity" \
+ -DSYSCONF_INSTALL_DIR="/etc/trinity" \
+ -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
+ -DCMAKE_INCLUDE_PATH="/opt/trinity/include/tde" \
+ -DAUTODETECT_QT_DIRS="ON" \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DBUILD_ALL="ON" \
+ -DCMAKE_SKIP_RPATH="OFF" \
+ -DWITH_GCC_VISIBILITY="ON" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 DEB_DH_STRIP_ARGS := --dbg-package=arts-trinity-dbg
 
@@ -34,4 +47,3 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	    echo "libasound2-dev=libasound2-dev" >> debian/libarts1-trinity-dev.substvars
 endif
-
