=== debian/changelog ===
arts-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 08 Oct 2024 11:49:46 +0200
