=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,13 @@
 	ls -d debian/* | \
 	grep -E "/libarts1$(DEB_TIME64_SUFFIX)-" | \
 	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libarts1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libarts1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libarts1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+else
 	[ ! -f debian/control.t64 ] || \
 	mv debian/control.t64 debian/control
 endif
