## arts-trinity 14.1.5~pre0

=== debian/changelog ===
arts-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 9de952a545eb8dbd854ea151f1664d1c4408d0fb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
