## arts-trinity 14.1.6~pre2

=== debian/changelog ===
arts-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 36432287e4d141e8536877b97ad441e00a37d20a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:15:56 +0100
