## arts-trinity 14.1.6~pre4

=== debian/changelog ===
arts-trinity (4:14.1.6~pre4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for 9d2233866a07b2e7d356247cd6551ccb93489be2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:16:21 +0100
