## arts-trinity 14.1.6~pre6

=== debian/changelog ===
arts-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1e6d709fd9ef9799a0352d070269646f92053aad
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:17:18 +0100
