=== debian/changelog ===
arts-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 70b1fe5634a3e4447e6f1773dc91c366aedb8f81
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Feb 2026 15:05:48 +0100
