## arts-trinity 14.2.0~pre47

=== debian/changelog ===
arts-trinity (4:14.2.0~pre47-0ubuntu24.04.0+9) noble; urgency=low

  * Automated git build for 9850c44dba54502ce58f9c8b361d88dea4aecd12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
