## arts-trinity 14.2.0~pre49

=== debian/changelog ===
arts-trinity (4:14.2.0~pre49-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for d6fd6ee0f8c528ac887068c5337c54b573f34742
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:25 +0100
