## arts-trinity 14.2.0~pre50

=== debian/changelog ===
arts-trinity (4:14.2.0~pre50-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 247aa206ed81bfc3afa0484a502cd403bd5064ee
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 15:47:18 +0100
