## arts-trinity 14.2.0~pre51

=== debian/changelog ===
arts-trinity (4:14.2.0~pre51-0raspbian11.0.0+9) raspbian-bullseye; urgency=low

  * Automated git build for d8e59c92c1ddd29d1bf9e4d4d5e1dc05494ed651
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:11:39 +0100
