=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: arts-trinity
 Architecture: all
 Section: sound
-Replaces: arts-kde3 (<< 4:14.0.0~), arts-trinity (<< 4:14.0.0~)
-Breaks: arts-kde3 (<< 4:14.0.0~), arts-trinity (<< 4:14.0.0~)
+Replaces: arts-trinity (<< 4:14.0.0~)
+Breaks: arts-trinity (<< 4:14.0.0~)
 Depends: libartsc0-trinity (>= ${source:Version}), libarts1c2a-trinity (>= ${source:Version}) | libarts1t64-trinity (>= ${source:Version})
 Description: sound system from the official TDE release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -31,8 +31,8 @@
 Package: libarts1c2a-trinity
 Architecture: any
 Section: libs
-Replaces: libarts1c2a-kde3 (<< 4:14.0.0~), libarts1c2a-trinity (<< 4:14.0.0~)
-Breaks: libarts1c2a-kde3 (<< 4:14.0.0~), libarts1c2a-trinity (<< 4:14.0.0~)
+Replaces: libarts1c2a-trinity (<< 4:14.0.0~)
+Breaks: libarts1c2a-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: libarts1-akode-trinity
 Multi-Arch: same
@@ -56,8 +56,8 @@
 Package: libarts1-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libarts1-kde3-dev (<< 4:14.0.0~), libarts1-trinity-dev (<< 4:14.0.0~)
-Breaks: libarts1-kde3-dev (<< 4:14.0.0~), libarts1-trinity-dev (<< 4:14.0.0~)
+Replaces: libarts1-trinity-dev (<< 4:14.0.0~)
+Breaks: libarts1-trinity-dev (<< 4:14.0.0~)
 Depends: libarts1c2a-trinity (= ${binary:Version}), libartsc0-trinity-dev (= ${binary:Version}), ${libasound2-dev}, libaudio-dev, libaudiofile-dev, libglib2.0-dev, libogg-dev, libvorbis-dev, libmad0-dev, libtqt3-mt-dev
 Description: development files for the aRts sound system core components
  This package contains the header files needed to build applications that
@@ -69,8 +69,8 @@
 Package: libartsc0-trinity
 Architecture: any
 Section: libs
-Replaces: libartsc0-kde3 (<< 4:14.0.0~), libartsc0-trinity (<< 4:14.0.0~)
-Breaks: libartsc0-kde3 (<< 4:14.0.0~), libartsc0-trinity (<< 4:14.0.0~)
+Replaces: libartsc0-trinity (<< 4:14.0.0~)
+Breaks: libartsc0-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Multi-Arch: same
 Description: aRts sound system C support library
@@ -82,8 +82,8 @@
 Package: libartsc0-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: libartsc0-kde3-dev (<< 4:14.0.0~), libartsc0-trinity-dev (<< 4:14.0.0~)
-Breaks: libartsc0-kde3-dev (<< 4:14.0.0~), libartsc0-trinity-dev (<< 4:14.0.0~)
+Replaces: libartsc0-trinity-dev (<< 4:14.0.0~)
+Breaks: libartsc0-trinity-dev (<< 4:14.0.0~)
 Depends: libartsc0-trinity (= ${binary:Version}), libglib2.0-dev
 Description: development files for the aRts sound system C support library
  This package contains the header files needed to build applications that
@@ -95,8 +95,8 @@
 Package: arts-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: arts-kde3-dbg (<< 4:14.0.0~), arts-trinity-dbg (<< 4:14.0.0~)
-Breaks: arts-kde3-dbg (<< 4:14.0.0~), arts-trinity-dbg (<< 4:14.0.0~)
+Replaces: arts-trinity-dbg (<< 4:14.0.0~)
+Breaks: arts-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: libarts1c2a-trinity (= ${binary:Version})
 Multi-Arch: same
