## arts-trinity 14.2.0~pre53

=== debian/changelog ===
arts-trinity (4:14.2.0~pre53-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 1e9483bb99736a042b43c8a63960194dcff0c692
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:01 +0100
