## arts-trinity 14.2.0~pre55

=== debian/changelog ===
arts-trinity (4:14.2.0~pre55-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for e117a8a6cf51174e41374659f3ab9246c1ab7455
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#arts

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 02 Feb 2026 13:06:17 +0100
